Documentation>C API
Data Fields
VlHIKMTree Struct Reference

HIKM tree.

`#include <hikmeans.h>`

## Data Fields

vl_size | M
vl_size | K
vl_size | depth
vl_size | max_niters
int | method
int | verb
VlHIKMNode * | root

## Field Documentation

## ◆ depth

vl_size VlHIKMTree::depth

Depth of the tree

## ◆ K

vl_size VlHIKMTree::K

IKM: K

## ◆ M

vl_size VlHIKMTree::M

IKM: data dimensionality

## ◆ max_niters

vl_size VlHIKMTree::max_niters

IKM: maximum # of iterations

## ◆ method

int VlHIKMTree::method

IKM: method

## ◆ root

VlHIKMNode* VlHIKMTree::root

Tree root node

## ◆ verb

int VlHIKMTree::verb

Verbosity level

The documentation for this struct was generated from the following file:

- hikmeans.h